## okular 24.08.2

=== debian/changelog ===
okular (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 18:01:39 -0500

okular (4:24.08.2-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.
  * Adapt packaging to upstream soname bump for libokular6core.
  * Update symbols from build for 24.08.2.
  * Cleanup symbols with debian çpackage revisions in their version.
  * Minor package description update.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 14 Oct 2024 11:03:57 +0200

okular (4:24.05.2-4) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Update symbols from buildds for 4:24.05.2-3.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 26 Aug 2024 00:14:16 +0200

okular (4:24.05.2-3) experimental; urgency=medium

  [ Jesse Rhodes ]
  * Fix arch:all build. (Closes: #1079053)
  * Update symbols to fix building for riscv64 and armel.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Aug 2024 14:48:51 +0200

okular (4:24.05.2-2ubuntu4) plucky; urgency=medium

  * Rebuild against Qt 6.7.2 private-abi.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Oct 2024 18:00:26 +0100
