## okular 24.12.0

=== debian/changelog ===
okular (4:24.12.0-2) unstable; urgency=medium

  * Remove leftover CHM build dependency. (Closes: #1092652)

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 17:29:51 +0100

okular (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Upstream bumped soname to libokular6core3.
  * Update symbols from build for 24.12.0.
  * Refresh copyright information.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Dec 2024 16:49:38 +0100

okular (4:24.08.2-2) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.
  * Use dh_qmldeps to detect QML dependencies.
  * Use dh_qmldeps for okular-mobile.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 Nov 2024 15:04:59 +0100
