=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: okular
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.22~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               dh-sequence-qmldeps,
+               cmake (>= 3.22~),
                extra-cmake-modules (>= 5.240.0~),
                gettext,
                kirigami-addons-dev (>= 1.3.0~),
-               libchm-dev,
                libdjvulibre-dev (>= 3.5.28~),
                libepub-dev,
                libfreetype-dev,
@@ -58,10 +57,10 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://okular.kde.org
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okular
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okular
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/okular.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/okular
 
-Package: libokular6core2
+Package: libokular6core3
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
@@ -107,7 +106,8 @@
 Depends: libkf6config-dev (>= 5.240.0~),
          libkf6coreaddons-dev (>= 5.240.0~),
          libkf6xmlgui-dev (>= 5.240.0~),
-         libokular6core2 (= ${binary:Version}),
+         libokular6core3 (= ${binary:Version}),
+         qml6-module-org-kde-okular (= ${binary:Version}),
          qt6-base-dev (>= 6.6.0~),
          qt6-base-private-dev (>= 6.6.0~),
          ${misc:Depends},
@@ -157,12 +157,7 @@
 
 Package: qml6-module-org-kde-okular
 Architecture: any
-Depends: qml6-module-org-kde-graphicaleffects (>= 5.240.0~),
-         qml6-module-org-kde-kirigami (>= 5.240.0~),
-         qml6-module-qtquick (>= 6.6.0~),
-         qml6-module-qtquick-controls (>= 6.6.0~),
-         ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: mobile support for Okular - QML modules
  This package contains the QML module for interfacing with the Okular core
  library.
@@ -171,24 +166,7 @@
 
 Package: okular-mobile
 Architecture: any
-Depends: qml6-module-org-kde-graphicaleffects (>= 5.240.0~),
-         qml6-module-org-kde-kirigami (>= 5.240.0~),
-         qml6-module-org-kde-kirigamiaddons-components (>= 1.3.0~),
-         qml6-module-org-kde-kirigamiaddons-delegates (>= 1.3.0~),
-         qml6-module-org-kde-kirigamiaddons-formcard (>= 1.3.0~),
-         qml6-module-org-kde-kitemmodels (>= 5.240.0~),
-         qml6-module-org-kde-kquickcontrolsaddons (>= 5.240.0~),
-         qml6-module-org-kde-okular (= ${binary:Version}),
-         qml6-module-qtcore (>= 6.6.0~),
-         qml6-module-qtqml-workerscript (>= 6.6.0~),
-         qml6-module-qtquick (>= 6.6.0~),
-         qml6-module-qtquick-controls (>= 6.6.0~),
-         qml6-module-qtquick-dialogs (>= 6.6.0~),
-         qml6-module-qtquick-layouts (>= 6.6.0~),
-         qml6-module-qtquick-templates (>= 6.6.0~),
-         qml6-module-qtquick-window (>= 6.6.0~),
-         ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Suggests: ghostscript,
           okular-extra-backends (= ${binary:Version}),
           poppler-data,
