## okular 24.12.1

=== debian/changelog ===
okular (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:40:39 +0000

okular (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:24:49 +0000

okular (4:24.11.90-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:25:20 -0600

okular (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:16:05 +0000

okular (4:24.11.80-0ubuntu2) plucky; urgency=medium

  * Update symbols for riscv64.

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 11:29:40 +0000

okular (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)
  * Bump library package name according to upstream SONAME change.
    - libokular6core2 -> libokular6core3
    - Generate new symbols file.

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 09:21:42 +0000

okular (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Nov 2024 14:50:31 +0000

okular (4:24.08.2-1ubuntu2) plucky; urgency=medium

  * Restore recommends on okular-extra-backends.

 -- Rik Mills <rikmills@kde.org>  Mon, 11 Nov 2024 14:48:24 +0000
