## okular 24.12.2

=== debian/changelog ===
okular (4:24.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Make okular build even on i386, where there is no poppler-qt6:
    - add the dh-exec, for architecture filtering in install files
    - exclude the libpoppler-qt6-dev build dependency on i386
    - tweak some install files to not install the files for the poppler
      generator on i386
    - pass -DFORCE_NOT_REQUIRED_DEPENDENCIES="Poppler" to cmake
  * Update symbols files.
  * Move the metainfo files for the generators shipped in the okular binary
    package from okular-data to okular itself: this is needed otherwise the
    files they refer to is not available by installing the package
    - add proper breaks/replaces

 -- Pino Toscano <pino@debian.org>  Sun, 09 Feb 2025 10:27:13 +0100
