=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: okular
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.22~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               dh-exec,
                dh-sequence-kf6,
+               dh-sequence-qmldeps,
+               cmake (>= 3.22~),
                extra-cmake-modules (>= 5.240.0~),
                gettext,
                kirigami-addons-dev (>= 1.3.0~),
-               libchm-dev,
                libdjvulibre-dev (>= 3.5.28~),
                libepub-dev,
                libfreetype-dev,
-               libkexiv2qt6-dev (>= 24.12.1~),
+               libkexiv2qt6-dev (>= 24.05~),
                libkf6archive-dev (>= 5.240.0~),
                libkf6bookmarks-dev (>= 5.240.0~),
                libkf6colorscheme-dev (>= 5.240.0~),
@@ -42,9 +42,9 @@
                libphonon4qt6-dev,
                libphonon4qt6experimental-dev,
                libplasmaactivities-dev,
-               libpoppler-qt6-dev (>= 22.02.0~),
+               libpoppler-qt6-dev (>= 22.02.0~) [!i386],
                libqca-qt6-dev (>= 2.1.0~),
-               libqmobipocket6-dev (>= 4:24.12.1~),
+               libqmobipocket6-dev (>= 4:24.05~),
                libspectre-dev (>= 0.2~),
                libtiff-dev,
                libzip-dev,
@@ -58,8 +58,8 @@
 Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://okular.kde.org
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okular
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okular
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/okular.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/okular
 
 Package: libokular6core3
 Section: libs
@@ -74,13 +74,15 @@
 Section: graphics
 Architecture: any
 Depends: okular-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends},
-Recommends: cups-bsd, okular-doc, okular-extra-backends,
+Recommends: cups-bsd, okular-doc,
 Suggests: ghostscript,
           okular-extra-backends (= ${binary:Version}),
           poppler-data,
           texlive-binaries,
           unrar,
 Provides: pdf-viewer, postscript-viewer,
+Breaks: okular-data (<< 4:24.12.2-1~),
+Replaces: okular-data (<< 4:24.12.2-1~),
 Description: universal document viewer
  Okular is a universal document viewer with support for advanced document
  features, such as annotations, forms, and embedded files.
@@ -108,6 +110,7 @@
          libkf6coreaddons-dev (>= 5.240.0~),
          libkf6xmlgui-dev (>= 5.240.0~),
          libokular6core3 (= ${binary:Version}),
+         qml6-module-org-kde-okular (= ${binary:Version}),
          qt6-base-dev (>= 6.6.0~),
          qt6-base-private-dev (>= 6.6.0~),
          ${misc:Depends},
@@ -157,12 +160,7 @@
 
 Package: qml6-module-org-kde-okular
 Architecture: any
-Depends: qml6-module-org-kde-graphicaleffects (>= 5.240.0~),
-         qml6-module-org-kde-kirigami (>= 5.240.0~),
-         qml6-module-qtquick (>= 6.6.0~),
-         qml6-module-qtquick-controls (>= 6.6.0~),
-         ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: mobile support for Okular - QML modules
  This package contains the QML module for interfacing with the Okular core
  library.
@@ -171,24 +169,7 @@
 
 Package: okular-mobile
 Architecture: any
-Depends: qml6-module-org-kde-graphicaleffects (>= 5.240.0~),
-         qml6-module-org-kde-kirigami (>= 5.240.0~),
-         qml6-module-org-kde-kirigamiaddons-components (>= 1.3.0~),
-         qml6-module-org-kde-kirigamiaddons-delegates (>= 1.3.0~),
-         qml6-module-org-kde-kirigamiaddons-formcard (>= 1.3.0~),
-         qml6-module-org-kde-kitemmodels (>= 5.240.0~),
-         qml6-module-org-kde-kquickcontrolsaddons (>= 5.240.0~),
-         qml6-module-org-kde-okular (= ${binary:Version}),
-         qml6-module-qtcore (>= 6.6.0~),
-         qml6-module-qtqml-workerscript (>= 6.6.0~),
-         qml6-module-qtquick (>= 6.6.0~),
-         qml6-module-qtquick-controls (>= 6.6.0~),
-         qml6-module-qtquick-dialogs (>= 6.6.0~),
-         qml6-module-qtquick-layouts (>= 6.6.0~),
-         qml6-module-qtquick-templates (>= 6.6.0~),
-         qml6-module-qtquick-window (>= 6.6.0~),
-         ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Suggests: ghostscript,
           okular-extra-backends (= ${binary:Version}),
           poppler-data,
