## okular 24.12.3

=== mobile/CMakeLists.txt ===

add_subdirectory( app )
add_subdirectory( components )
