=== debian/changelog ===
okular (4:24.12.3-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:14:08 -0500

okular (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:51:05 +0000

okular (4:24.12.2-1ubuntu1) plucky; urgency=high

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Gear build deps at current version.
    - Recommend extras backend.
    - Keep our symbols file.

 -- Rik Mills <rikmills@kde.org>  Thu, 20 Feb 2025 06:52:52 +0000

okular (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 15:19:59 +0000

okular (4:24.12.1-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 05 Feb 2025 21:10:20 -0600
