## okular 25.04.0

=== debian/changelog ===
okular (4:25.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update symbols files.

 -- Pino Toscano <pino@debian.org>  Sat, 26 Apr 2025 09:04:22 +0200

okular (4:25.03.90-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.03.90).
  * Bump Standards-Version to 4.7.2, no change required.
  * Update symbols from build for 25.03.90.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 12 Apr 2025 22:28:25 +0200
