=== debian/changelog ===
okular (4:25.04.2-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Rebuild against libplasmaactivities7.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 22 Oct 2025 07:50:08 +0200

okular (4:25.04.2-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.1).
    - Fix build with Qt 6.10.
    - Delete old kconf update script.
    - Fax: Add a few bugprone-sizeof-expression exceptions.
  * New upstream release (25.04.2).
    - Fix detecting HTML in mobipocket document.
    - Fix opening password protected files on builds without kwallet.
    (kde#503852)
  * Update the list of installed files.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Jun 2025 23:18:58 +0200
