=== debian/control ===
--- 
+++ 
@@ -1,21 +1,20 @@
 Source: okular
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: cmake (>= 3.22~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-exec,
                dh-sequence-kf6,
                dh-sequence-qmldeps,
+               cmake (>= 3.22~),
                extra-cmake-modules (>= 5.240.0~),
                gettext,
                kirigami-addons-dev (>= 1.3.0~),
                libdjvulibre-dev (>= 3.5.28~),
                libepub-dev,
                libfreetype-dev,
-               libkexiv2qt6-dev (>= 24.12.3~),
+               libkexiv2qt6-dev (>= 24.05~),
                libkf6archive-dev (>= 5.240.0~),
                libkf6bookmarks-dev (>= 5.240.0~),
                libkf6colorscheme-dev (>= 5.240.0~),
@@ -45,7 +44,7 @@
                libplasmaactivities-dev,
                libpoppler-qt6-dev (>= 22.02.0~) [!i386],
                libqca-qt6-dev (>= 2.1.0~),
-               libqmobipocket6-dev (>= 4:24.12.3~),
+               libqmobipocket6-dev (>= 4:24.05~),
                libspectre-dev (>= 0.2~),
                libtiff-dev,
                libzip-dev,
@@ -56,11 +55,11 @@
                qt6-speech-dev (>= 6.6.0~),
                qt6-svg-dev (>= 6.6.0~),
                zlib1g-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://okular.kde.org
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okular
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okular
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/okular.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/okular
 
 Package: libokular6core3
 Section: libs
@@ -75,7 +74,7 @@
 Section: graphics
 Architecture: any
 Depends: okular-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends},
-Recommends: cups-bsd, okular-doc, okular-extra-backends,
+Recommends: cups-bsd, okular-doc,
 Suggests: ghostscript,
           okular-extra-backends (= ${binary:Version}),
           poppler-data,
