=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -Skf6 -- -DBUILD_TESTING=OFF -DOKULAR_UI=both
+	dh_auto_configure -Skf6 -- -DBUILD_TESTING=OFF -DOKULAR_UI=both -DFORCE_NOT_REQUIRED_DEPENDENCIES="Poppler"
 
 override_dh_auto_test:
 	# Disable dh_auto_test at build time
