## okular 25.04.3

=== debian/changelog ===
okular (4:25.04.3-0ubuntu0~tux1) noble; urgency=medium

  * New upstream release.

 -- Torsten Wohlfarth <two@tuxedocomputers.com>  Thu, 04 Sep 2025 12:43:03 +0200
