## okular 25.07.80

=== debian/changelog ===
okular (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Follow upstream soname bump.
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:27:19 +0100

okular (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:57:14 +0100

okular (4:25.04.2-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build depend on current version gear packages.
    - Recommend okular-extra-backends.
    - Keep our symbols file.

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Jun 2025 08:29:03 +0100

okular (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 12:02:52 +0100

okular (4:25.04.1-0ubuntu2) questing; urgency=medium

  * Update okular.install for removed kconf_update file.

 -- Rik Mills <rikmills@kde.org>  Thu, 08 May 2025 07:02:56 +0100

okular (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:19:05 +0100

okular (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:05:05 +0100
