=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: okular
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.22~),
+               debhelper-compat (= 13),
                dh-exec,
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               cmake (>= 3.22~),
                extra-cmake-modules (>= 5.240.0~),
                gettext,
                kirigami-addons-dev (>= 1.3.0~),
                libdjvulibre-dev (>= 3.5.28~),
                libepub-dev,
                libfreetype-dev,
-               libkexiv2qt6-dev (>= 24.05~),
+               libkexiv2qt6-dev (>= 25.07.80~),
                libkf6archive-dev (>= 5.240.0~),
                libkf6bookmarks-dev (>= 5.240.0~),
                libkf6colorscheme-dev (>= 5.240.0~),
@@ -44,7 +45,7 @@
                libplasmaactivities-dev,
                libpoppler-qt6-dev (>= 22.02.0~) [!i386],
                libqca-qt6-dev (>= 2.1.0~),
-               libqmobipocket6-dev (>= 4:24.05~),
+               libqmobipocket6-dev (>= 4:25.07.80~),
                libspectre-dev (>= 0.2~),
                libtiff-dev,
                libzip-dev,
@@ -58,10 +59,10 @@
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://okular.kde.org
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/okular.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/okular
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okular
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okular
 
-Package: libokular6core3
+Package: libokular6core4
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
@@ -74,7 +75,7 @@
 Section: graphics
 Architecture: any
 Depends: okular-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends},
-Recommends: cups-bsd, okular-doc,
+Recommends: cups-bsd, okular-doc, okular-extra-backends,
 Suggests: ghostscript,
           okular-extra-backends (= ${binary:Version}),
           poppler-data,
@@ -109,7 +110,7 @@
 Depends: libkf6config-dev (>= 5.240.0~),
          libkf6coreaddons-dev (>= 5.240.0~),
          libkf6xmlgui-dev (>= 5.240.0~),
-         libokular6core3 (= ${binary:Version}),
+         libokular6core4 (= ${binary:Version}),
          qml6-module-org-kde-okular (= ${binary:Version}),
          qt6-base-dev (>= 6.6.0~),
          qt6-base-private-dev (>= 6.6.0~),
